package sgc.portal.cw.cw0628.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0628.model.CW06280001U;
import sgc.portal.cw.cw0628.dto.CW06280001USearch;
import sgc.portal.cw.cw0628.service.CW06280001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0628")
public class CW06280001UController {
    private final CW06280001UService service;

    public CW06280001UController(CW06280001UService service) {
        this.service = service;
    }

    @PostMapping("/CW06280001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW06280001USearch search) {
        return service.getList(search);
    }
    
    @PostMapping("/CW06280001U/save")
    public Map<String, String> save(@RequestBody List<CW06280001U> CW06280001U) {
    	return service.save(CW06280001U);
    }
}
